package com.kiwisoft.scrap;

import java.io.PrintWriter;

/**
 * Created by IntelliJ IDEA.
 * User: Stefan1
 * Date: 15.10.2004
 * Time: 19:22:35
 * To change this template use File | Settings | File Templates.
 */
public abstract class ScrapBase
{
	public abstract ScrapResult $scrap(PrintWriter out);

	public ScrapResult $result(byte value)
	{
		return new ScrapResult(new Byte(value), Byte.TYPE);
	}

	public ScrapResult $result(short value)
	{
		return new ScrapResult(new Short(value), Short.TYPE);
	}

	public ScrapResult $result(int value)
	{
		return new ScrapResult(new Integer(value), Integer.TYPE);
	}

	public ScrapResult $result(long value)
	{
		return new ScrapResult(new Long(value), Long.TYPE);
	}

	public ScrapResult $result(float value)
	{
		return new ScrapResult(new Float(value), Float.TYPE);
	}

	public ScrapResult $result(double value)
	{
		return new ScrapResult(new Double(value), Double.TYPE);
	}

	public ScrapResult $result(char value)
	{
		return new ScrapResult(new Character(value), Character.TYPE);
	}

	public ScrapResult $result(boolean value)
	{
		return new ScrapResult(new Boolean(value), Boolean.TYPE);
	}

	public ScrapResult $result(Object value)
	{
		if (value==null) return new ScrapResult(null, null);
		else return new ScrapResult(value, value.getClass());
	}
}
