package com.kiwisoft.scrap;

/**
 * Created by IntelliJ IDEA.
 * User: Stefan1
 * Date: 15.10.2004
 * Time: 19:47:09
 * To change this template use File | Settings | File Templates.
 */
public class ScrapResult
{
	private Class type;
	private Object value;

	public ScrapResult(Object value, Class type)
	{
		this.type=type;
		this.value=value;
	}

	public Class getType()
	{
		return type;
	}

	public Object getValue()
	{
		return value;
	}

	public boolean isObject()
	{
		return value!=null && type!=null && !type.isPrimitive(); 
	}

	public String toString()
	{
		if (type==null) return String.valueOf(value);
		else return String.valueOf(value)+" ["+type.getName()+"]";
	}
}
